import DesignerModel from './DesignerModel';
import DragTopic from './DragTopic';
import Canvas from './Canvas';
declare class DragConnector {
    private _designerModel;
    private _workspace;
    constructor(designerModel: DesignerModel, workspace: Canvas);
    checkConnection(dragTopic: DragTopic, forceDisconnected: boolean): void;
    private _searchConnectionCandidates;
    private _proximityWeight;
    private _isVerticallyAligned;
    static MAX_VERTICAL_CONNECTION_TOLERANCE: number;
}
export default DragConnector;
